// $Date:: 2010-02-21 20:19:09 +0900#$
// $Rev: 2 $


#include "DotRemove.h"

/**************************************************************************************************/
/* Global                                                                                         */
/**************************************************************************************************/
//==============================================================================
// Create_DotRemove
//==============================================================================
AVSValue __cdecl Create_DotRemove(AVSValue args, void* user_data, IScriptEnvironment* env)
{
    PClip c = args[0].AsClip() ;
    if ( c->GetVideoInfo ().IsYUY2 () )
        return new DotRemove(c, args[1].AsInt(11), args[2].AsFloat(1), args[3].AsInt(0), args[4].AsInt(0), env);

    env->ThrowError("DotRemove: Requires YUY2 input");
    return NULL ;
}

//==============================================================================
// AvisynthPluginInit2
//==============================================================================
extern "C" __declspec(dllexport) const char* __stdcall AvisynthPluginInit2(IScriptEnvironment* env)
{
    env->AddFunction("DotRemove", "c[strength]i[threshold]f[type]i[debug]i", Create_DotRemove, 0);
    return "DotRemove ver 0.1";
}
